pw_control_events Struct Reference

Port events, use pw_control_add_listener. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| The control is destroyed. More...
void(* | free )(void *data)
| The control is freed. More...
void(* | linked )(void *data, struct pw_control *other)
| control is linked to another control More...
void(* | unlinked )(void *data, struct pw_control *other)
| control is unlinked from another control More...

## Detailed Description

Port events, use pw_control_add_listener.

## Field Documentation

## destroy

void(* pw_control_events::destroy) (void *data)

The control is destroyed.

## free

void(* pw_control_events::free) (void *data)

The control is freed.

## linked

void(* pw_control_events::linked) (void *data, struct pw_control *other)

control is linked to another control

## unlinked

void(* pw_control_events::unlinked) (void *data, struct pw_control *other)

control is unlinked from another control

## version

uint32_t pw_control_events::version

The documentation for this struct was generated from the following file:

- control.h